Fetch API
Introduction
This API is used to fetch the details of Indian passport holders.
How to call the API
You will need to login before sending the request. You are required to pass the access token received from the login call, as authorization header in the Fetch API request.
API Input Guidelines
A valid file number along with and the dob should be provided. DOB should be in the format dd/mm/yyyy
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron Id>/passportV2' \
--header 'Authorization: <token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "fetch",
"essentials": {
"fileNumber": "<file Number of the passport>",
"dob": "<Date of Birth>"
}
}'Response Parameter
Parameter Name | Description |
|---|---|
essentials | Essential part of request |
essentials.fileNumber | File number of the passport |
essentials.dob | Date of birth of the passport holder |
id | Unique user ID |
patronId | Unique Patron ID |
task | Task-fetching passport information |
result | It contains the response to the API hit |
result.fileNumber | File number of the passport |
result.givenName | First name of passport holder |
result.surname | middle and last name of the Passport holder |
result.typeOfApplication | It describes the Application type |
result.applicationReceivedOnDate | Date on which the application is received for processing |
result.name | Name of the passport holder |
result.dob | Date of birth of Passport holder |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].